﻿<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="MANTGSForst">
    <annotation>Copyright (C) GIANTS Software GmbH, All Rights Reserved.</annotation>
    <name>
        <en>URAL Forst</en>
        <de>URAL Forst</de>
        <ru>Урал лесовоз</ru>

    </name>
    <typeDesc>$l10n_TypeDesc_Truck</typeDesc>
    <filename>URAL.i3d</filename>

    <size width="3.5" length="9"/>

    <wheels autoRotateBackSpeed="1.8">
        <wheel rotSpeed="1" restLoad="08.8" repr="0>0|0" forcePointRatio="0.2" driveNode="0>0|0|0|0" radius="0.55" width="0.825" initialCompression="50" suspTravel="0.3" spring="30" damper="20"                       maxLatStiffness="40" maxLatStiffnessLoad="3" mass="0.4" fenderNode="0>0|0|1" fenderRotMin="-28" hasTyreTracks="true" tyreTrackAtlasIndex="2"/>
        <wheel rotSpeed="1" restLoad="08.8" repr="0>1|0" forcePointRatio="0.2" driveNode="0>1|0|0|0" radius="0.55" width="0.825" initialCompression="50" suspTravel="0.3" spring="30" damper="20"                       maxLatStiffness="40" maxLatStiffnessLoad="3" mass="0.4" fenderNode="0>1|0|1" fenderRotMax="28"  hasTyreTracks="true" tyreTrackAtlasIndex="2"/>
        <wheel rotSpeed="0" restLoad="16.0" repr="0>2"   forcePointRatio="0.3"                       radius="0.55" width="0.875" initialCompression="50" suspTravel="0.2" spring="85" damper="65" maxLongStiffness="20" maxLatStiffness="60" maxLatStiffnessLoad="3" mass="0.8"                                         hasTyreTracks="true" tyreTrackAtlasIndex="2"/>
        <wheel rotSpeed="0" restLoad="16.0" repr="0>3"   forcePointRatio="0.3"                       radius="0.55" width="0.875" initialCompression="50" suspTravel="0.2" spring="85" damper="65" maxLongStiffness="20" maxLatStiffness="60" maxLatStiffnessLoad="3" mass="0.8"                                         hasTyreTracks="true" tyreTrackAtlasIndex="2"/>
		<wheel rotSpeed="0" restLoad="16.0" repr="0>4"   forcePointRatio="0.3"                       radius="0.55" width="0.875" initialCompression="50" suspTravel="0.2" spring="85" damper="65" maxLongStiffness="20" maxLatStiffness="60" maxLatStiffnessLoad="3" mass="0.8"                                         hasTyreTracks="true" tyreTrackAtlasIndex="2"/>
        <wheel rotSpeed="0" restLoad="16.0" repr="0>5"   forcePointRatio="0.3"                       radius="0.55" width="0.875" initialCompression="50" suspTravel="0.2" spring="85" damper="65" maxLongStiffness="20" maxLatStiffness="60" maxLatStiffnessLoad="3" mass="0.8"                                         hasTyreTracks="true" tyreTrackAtlasIndex="2"/>
    </wheels>

    <dynamicallyLoadedParts>
        <dynamicallyLoadedPart node="0"    linkNode="0>19|2"    filename="$data/vehicles/shared/wheelChock01.i3d" />
    </dynamicallyLoadedParts>

    <ackermannSteering rotSpeed="60" rotMax="47" rotCenterWheel1="2" rotCenterWheel2="3" />

    <differentials>
        <differential torqueRatio="0.5" maxSpeedRatio="1.3" wheelIndex1="0" wheelIndex2="1" /> <!-- front left-right -->
        <differential torqueRatio="0.5" maxSpeedRatio="1.4" wheelIndex1="2" wheelIndex2="3" /> <!-- back left-right -->
        <differential torqueRatio="0.5" maxSpeedRatio="1.2" differentialIndex1="0" differentialIndex2="1" /> <!-- front-back -->
    </differentials>

    <motor torqueScale="1.165" minRpm="1000" maxRpm="3200" maxBackwardSpeed="15" brakeForce="10" lowBrakeForceScale="0.22" lowBrakeForceSpeedLimit="1" minForwardGearRatio="13.5" maxForwardGearRatio="130" minBackwardGearRatio="50" maxBackwardGearRatio="130">
        <torque normRpm="0.45" torque="0.5"/>
        <torque normRpm="0.5" torque="0.6"/>
        <torque normRpm="0.59" torque="0.7"/>
        <torque normRpm="0.72" torque="1"/>
        <torque normRpm="0.86" torque="0.8"/>
        <torque normRpm="1" torque="0.7"/>
    </motor>

    <fuelCapacity>250</fuelCapacity>
    <fuelUsage>68</fuelUsage>

    <cameras count="4">
        <camera1 index="6|0" rotatable="true" rotateNode="6" limit="true" useWorldXZRotation="true" rotMinX="-1.4" rotMaxX="1" transMin="4.5" transMax="35">
            <raycastNode index="0>8"/>
            <raycastNode index="0>9"/>
            <raycastNode index="0>10"/>
        </camera1>
        <camera2 index="7" rotatable="true" limit="true" rotMinX="-1.1" rotMaxX="0.4" transMin="0" transMax="0" useMirror="true" isInside="true" />
        <camera3 index="0>27|1|0|3|0" rotatable="true" limit="true" rotMinX="-1.1" rotMaxX="0.4" transMin="0" transMax="0" useMirror="true" isInside="true" />
        <camera4 index="0>27|1|0|0|0|4|0" rotatable="false" useWorldXZRotation="false" limit="true" rotMinX="-1.1" rotMaxX="1.1" transMin="0" transMax="0" />
	</cameras>

    <lights>
        <light realLight="0>16|0|0" 	  decoration="0>16|0|1" 	  lightType="0"/>
        <light realLight="0>27|1|0|0|3|0" decoration="0>27|1|0|0|3|1" lightType="2"/>
        <light realLight="0>27|1|0|0|0|2|0" decoration="0>27|1|0|0|0|2|1" lightType="2"/>
    </lights>

    <brakeLights>
        <brakeLight index="0>16|1" />
    </brakeLights>

	<beaconLights>
        <beaconLight index="0>16|4|0" speed="0.019" filename="$data/vehicles/shared/beaconLight06.i3d"/>
        <beaconLight index="0>16|4|1" speed="0.020" filename="$data/vehicles/shared/beaconLight06.i3d"/>
    </beaconLights>
	
    <turnSignals>
        <turnSignalLeft index="0>16|2|0" />
        <turnSignalRight index="0>16|2|1" />
    </turnSignals>

    <reverseLights>
        <reverseLight index="0>16|3" />
    </reverseLights>

    <mirrors>
        <mirror index="0>19|0" />
    </mirrors>

    <indoorHud>
        <speed animName="speedDisplay" />
        <rpm animName="rpmDisplay" />
        <fuel animName="fuelDisplay" />
    </indoorHud>

    <enterReferenceNode index="0>"/>
    <exitPoint index="0>11"/>

    <exhaustEffects>
        <exhaustEffect index="0>18" filename="$data/vehicles/particleAnimations/shared/exhaust.i3d" minRpmColor="0 0 0 0.05" maxRpmColor="0.01 0.01 0.01 5" minRpmScale="0.08" maxRpmScale="0.8"  forwardXRotations="-50 -50 -50" forwardZRotations="-300 -300 100" steerXRotations="0 0 0" steerZRotations="-200 0 150"  />
    </exhaustEffects>

    <attacherJoints>
        <attacherJoint index="0>13|0" jointType="trailer" allowsJointLimitMovement="false" allowsLowering="false" maxRotLimit="10 75 75" /> <!-- Back Attacher -->
        <attacherJoint index="1>4" jointType="trailer" allowsJointLimitMovement="false" allowsLowering="false" maxRotLimit="10 75 75" /> <!-- Front Attacher -->
        <attacherJoint index="0>13|1" jointType="trailer" allowsJointLimitMovement="false" allowsLowering="false" maxRotLimit="10 75 75" /> <!-- Front Low Attacher -->
    </attacherJoints>
	
    <mouseControls> <!-- Palfinger -->
        <mouseControl iconFilename="$dataS2/menu/mouseControlsHelp/arm1_rotX.png" axis="AXIS_FRONTLOADER_ARM" />
        <mouseControl iconFilename="$dataS2/menu/mouseControlsHelp/arm1_rotY.png" axis="AXIS_FRONTLOADER_TOOL" />
        <mouseControl iconFilename="$dataS2/menu/mouseControlsHelp/arm2_rot.png"  axis="AXIS_FRONTLOADER_ARM2" />
        <mouseControl iconFilename="$dataS2/menu/mouseControlsHelp/arm2_trans.png" axis="AXIS_FRONTLOADER_TOOL2" />
        <mouseControl iconFilename="$dataS2/menu/mouseControlsHelp/grab_rotY.png" axis="AXIS_FRONTLOADER_TOOL3" />
        <mouseControl iconFilename="$dataS2/menu/mouseControlsHelp/grab_rotX.png"  axis="AXIS_FRONTLOADER_TOOL4" />
    </mouseControls>
	
	<movingTools> <!-- Palfinger -->
        <!-- arm1 rot -->
        <movingTool index="0>27|1" componentJointIndex="0" anchorActor="0" rotSpeed="20" rotAcceleration="90" rotationAxis="2" rotMin="0" rotMax="449" startRot="0" axis="AXIS_FRONTLOADER_TOOL" invertAxis="true"  mouseAxis="AXIS_FRONTLOADER_TOOL" invertMouseAxis="true" speedFactor="1" playSound="false" />
        <!-- arm1 -->
        <movingTool index="0>27|1|0|0" componentJointIndex="0" anchorActor="0" rotSpeed="20" rotAcceleration="90" rotMin="-3" rotMax="80" startRot="-3" axis="AXIS_FRONTLOADER_ARM" invertAxis="false"  mouseAxis="AXIS_FRONTLOADER_ARM" invertMouseAxis="false" speedFactor="1" playSound="true">
            <dependentPart index="0>27|1|0|1" />
        </movingTool>
        <!-- arm2 -->
        <movingTool index="0>27|1|0|0|0" componentJointIndex="0" anchorActor="0" rotSpeed="20" rotAcceleration="90" rotMin="-3.6" rotMax="176.4" startRot="-3.6" axis="AXIS_FRONTLOADER_ARM2" invertAxis="false"  mouseAxis="AXIS_FRONTLOADER_ARM2" invertMouseAxis="false" speedFactor="1" playSound="true">
            <dependentPart index="0>27|1|0|0|1" />
        </movingTool>
        <!-- arm3 -->
        <movingTool index="0>27|1|0|0|0|0"   componentJointIndex="0" anchorActor="0" transSpeed="0.7" transAcceleration="1.5" transMin="0.975" transMax="3" translationAxis="3" startTrans="0.975" axis="AXIS_FRONTLOADER_TOOL2" invertAxis="true"  mouseAxis="AXIS_FRONTLOADER_TOOL2" invertMouseAxis="true" speedFactor="1" playSound="true" />
        <movingTool index="0>27|1|0|0|0|0|0" componentJointIndex="0" anchorActor="0" transSpeed="0.7" transAcceleration="1.5" transMin="0"     transMax="2.5"     translationAxis="3" startTrans="0"     axis="AXIS_FRONTLOADER_TOOL2" invertAxis="true"  mouseAxis="AXIS_FRONTLOADER_TOOL2" invertMouseAxis="true" speedFactor="1" playSound="false" />
        <!-- claw rotation -->
        <movingTool index="1>0"  componentJointIndex="0" anchorActor="1" rotSpeed="-70" rotAcceleration="90"  rotationAxis="2" axis="AXIS_FRONTLOADER_TOOL3" invertAxis="true"  mouseAxis="AXIS_FRONTLOADER_TOOL3" invertMouseAxis="true" speedFactor="1" playSound="false">
            <dependentPart index="0>27|1|0|0|0|0|0|1|0|0|0"/>
        </movingTool>
        <!-- pipe -->
        <movingTool index="1>1" componentJointIndex="1" anchorActor="0" rotSpeed="-70" rotAcceleration="90" rotMax="100" rotMin="" rotationAxis="3" axis="AXIS_FRONTLOADER_TOOL4" invertAxis="true"  mouseAxis="AXIS_FRONTLOADER_TOOL4" invertMouseAxis="true" speedFactor="1" playSound="true" />
        <movingTool index="1>2" componentJointIndex="2" anchorActor="0" rotSpeed="70" rotAcceleration="90" rotMax="0" rotMin="-100" rotationAxis="3" axis="AXIS_FRONTLOADER_TOOL4" invertAxis="true"  mouseAxis="AXIS_FRONTLOADER_TOOL4" invertMouseAxis="true" speedFactor="1" playSound="false" />
	</movingTools>

    <movingParts>
        <!-- steering -->
        <movingPart index="0>1|0|1" referencePoint="0>0|0|1" referenceFrame="0>" isActiveDirty="true" playSound="false" scaleZ="true" />
		<!-- Palfinger --> <!-- arm1 -->
        <movingPart index="0>27|1|0|1" referencePoint="0>27|1|0|0|4" referenceFrame="0>27|1|0|2">
            <translatingPart index="0>27|1|0|1|0"/>
        </movingPart>
        <!-- arm2 -->
        <movingPart index="0>27|1|0|0|1" localReferencePoint="0>27|1|0|0|1|0" referencePoint="0>27|1|0|0|0|1" referenceFrame="0>27|1|0|0|6">
            <dependentPart index="0>27|1|0|0|1|0"/>
            <dependentPart index="0>27|1|0|0|2"/>
        </movingPart>
        <movingPart index="0>27|1|0|0|1|0" referencePoint="0>27|1|0|0|0|1" referenceFrame="0>27|1|0|0|1" scaleZ="true" />
        <movingPart index="0>27|1|0|0|2" referencePoint="0>27|1|0|0|1|1" referenceFrame="0>27|1|0|0">
            <translatingPart index="0>27|1|0|0|2|0"/>
        </movingPart>
        <!-- claw-arm connection -->
        <movingPart index="0>27|1|0|0|0|0|0|1|0" referencePoint="1>" referenceFrame="0>27|1|0|0|0|0|0|1" limitedAxis="2" isActiveDirty="true" playSound="false">
            <dependentPart index="0>27|1|0|0|0|0|0|1|0|0|0" />
        </movingPart>
        <movingPart index="0>27|1|0|0|0|0|0|1|0|0|0" referencePoint="1>" referenceFrame="0>27|1|0|0|0|0|0|1|0|0" limitedAxis="2" playSound="false"/>
        <!-- claw rotation -->
        <movingPart index="0>27|1|0|0|0|0|0|1|0|0|0|0|0" referencePoint="1>3" referenceFrame="1>3" limitedAxis="2" isActiveDirty="true" />
        <!-- left/right claw -->
        <movingPart index="0>27|1|0|0|0|0|0|1|0|0|0|0|0|1" referencePoint="2>3" referenceFrame="2>3" isActiveDirty="true" limitedAxis="3" />
        <movingPart index="0>27|1|0|0|0|0|0|1|0|0|0|0|0|0" referencePoint="3>3" referenceFrame="3>3" isActiveDirty="true" limitedAxis="3" >
            <dependentPart index="0>27|1|0|0|0|0|0|1|0|0|0|0|0|0|0" />
            <dependentPart index="0>27|1|0|0|0|0|0|1|0|0|0|0|0|0|1" />
        </movingPart>
        <!-- claw arm -->
        <movingPart index="0>27|1|0|0|0|0|0|1|0|0|0|0|0|0|0" referencePoint="0>27|1|0|0|0|0|0|1|0|0|0|0|0|1|0" referenceFrame="0>27|1|0|0|0|0|0|1|0|0|0|0|0" scaleZ="true" />
        <!-- claw cylinder -->
        <movingPart index="0>27|1|0|0|0|0|0|1|0|0|0|0|0|0|1" referencePoint="0>27|1|0|0|0|0|0|1|0|0|0|0|0|1|1" referenceFrame="0>27|1|0|0|0|0|0|1|0|0|0|0|0">
            <translatingPart index="0>27|1|0|0|0|0|0|1|0|0|0|0|0|0|1|0" />
        </movingPart>    
	</movingParts>

    <animations>
        <animation name="speedDisplay">
            <part node="0>19|1|0" startTime="0" endTime="1" startRot="0 0 0" endRot="0 0 -179" />
        </animation>
        <animation name="rpmDisplay">
            <part node="0>19|1|1" startTime="0" endTime="1" startRot="0 0 -40" endRot="0 0 -179" />
        </animation>
        <animation name="fuelDisplay">
            <part node="0>19|1|2" startTime="0" endTime="1" startRot="0 0 20" endRot="0 0 -80" />
        </animation>
        <!-- palfinger move pillars down/up, open/close gate -->
        <animation name="movePillars">
			<!-- supportArmRight1 -->
            <part node="0>27|0|0" startTime="0" endTime="3" startTrans="-0.9 1.007 -5.16" endTrans="-1.85 1.007 -5.16" />
            <part node="0>27|0|0|0" startTime="0" endTime="3" startTrans="0.498 -0.008 0.003" endTrans="-0.178 -0.008 0.003" />
			<!-- supportArmRight3 -->
            <part node="0>27|0|2" startTime="0" endTime="3" startTrans="-0.9 1.007 -1.16" endTrans="-1.85 1.007 -1.16" />
            <part node="0>27|0|2|0" startTime="0" endTime="3" startTrans="0.498 -0.008 0.003" endTrans="-0.178 -0.008 0.003" />
			<!-- supportArmLeft1 -->
            <part node="0>27|0|1" startTime="0" endTime="3" startTrans="0.9 1.007 -5.16" endTrans="1.85 1.007 -5.16" />
            <part node="0>27|0|1|0" startTime="0" endTime="3" startTrans="-0.498 -0.008 0" endTrans="0.178 -0.008 0" />
			<!-- supportArmLeft3 -->
            <part node="0>27|0|3" startTime="0" endTime="3" startTrans="0.9 1.007 -1.16" endTrans="1.85 1.007 -1.16" />
            <part node="0>27|0|3|0" startTime="0" endTime="3" startTrans="-0.498 -0.008 0" endTrans="0.178 -0.008 0" />
			<!-- supportFeetRight1 -->
            <part node="0>27|0|0|0|0" startTime="4" endTime="8" startTrans="-0.796 -0.377 -0.002" endTrans="-0.796 -0.74 -0.002" />
			<!-- supportFeetRight3 -->
            <part node="0>27|0|2|0|0" startTime="4" endTime="8" startTrans="-0.796 -0.377 -0.002" endTrans="-0.796 -0.71 -0.002" />
			<!-- supportFeetLeft1 -->
            <part node="0>27|0|1|0|0" startTime="4" endTime="8" startTrans="0.796 -0.377 -0.002" endTrans="0.796 -0.74 -0.002" />
			<!-- supportFeetLeft3 -->
            <part node="0>27|0|3|0|0" startTime="4" endTime="8" startTrans="0.796 -0.377 -0.002" endTrans="0.796 -0.71 -0.002" />
        </animation>
    </animations>
	
    <support animationName="moveSupport" />

    <foldingParts posDirectionText="unfold_SupportFeet" negDirectionText="fold_SupportFeet" turnOnFoldMaxLimit="1" turnOnFoldMinLimit="0.9" turnOffOnFold="true">
        <foldingPart animationName="movePillars" speedScale="1" />
    </foldingParts>

    <steering index="0>12|0" indoorRotation="540" outdoorRotation="37" />

    <characterNode index="0>14|0" cameraMinDistance="1.5" filename="$dataS2/character/player/player.i3d" characterMesh="1" characterGloves="2" characterSkin="0" spineNode="0|0" leftArmIKChainId="leftArm" rightArmIKChainId="rightArm" spineRotation="180 0 100" >
        <ikChains>
            <ikChain id="rightFoot" target="0>14|1" targetOffset="0 0.1 0" alignToTarget="true" isDirtyOnLoad="true" >
                <node index="0|1" />
                <node index="0|1|0"     minRx="0" maxRx="0" minRy="-30" maxRy="30" minRz="0"   maxRz="90" />
                <node index="0|1|0|0"   minRx="0" maxRx="0" minRy="0"   maxRy="0"  minRz="-100" maxRz="-7" />
                <node index="0|1|0|0|0" />
            </ikChain>
            <ikChain id="leftFoot" target="0>14|2" targetOffset="0 0.1 0" alignToTarget="true" isDirtyOnLoad="true">
                <node index="0|2"     />
                <node index="0|2|0"     minRx="0" maxRx="0" minRy="-30" maxRy="30" minRz="0"   maxRz="90" />
                <node index="0|2|0|0"   minRx="0" maxRx="0" minRy="0"   maxRy="0"  minRz="-100" maxRz="-7" />
                <node index="0|2|0|0|0" />
            </ikChain>
            <ikChain id="rightArm" target="0>12|0|0" targetOffset="0.025 0.066 0" alignToTarget="true" isDirtyOnLoad="true">
                <node index="0|0|0|1" />
                <node index="0|0|0|1|0" minRx="-20" maxRx="20" minRy="-20" maxRy="20" minRz="-80" maxRz="80" />
                <node index="0|0|0|1|0|0" minRx="-10" maxRx="10" minRy="0" maxRy="0" minRz="7"   maxRz="130" />
                <node index="0|0|0|1|0|0|0" />
                <rotationNode index="0|0|0|1|0|0|0|0" rotation="0 0 -60" />
                <rotationNode index="0|0|0|1|0|0|0|0|0" rotation="0 0 -60" />
                <rotationNode index="0|0|0|1|0|0|0|1" rotation="-90 20 -40" />
                <rotationNode index="0|0|0|1|0|0|0|1|0" rotation="0 0 -40" />
            </ikChain>
            <ikChain id="leftArm" target="0>12|0|1" targetOffset="-0.025 0.066 0" alignToTarget="true" isDirtyOnLoad="true">
                <node index="0|0|0|2" />
                <node index="0|0|0|2|0" minRx="-20" maxRx="20" minRy="-20" maxRy="20" minRz="-80" maxRz="80" />
                <node index="0|0|0|2|0|0" minRx="-10" maxRx="10" minRy="0" maxRy="0" minRz="7"   maxRz="130" />
                <node index="0|0|0|2|0|0|0" />
                <rotationNode index="0|0|0|2|0|0|0|0" rotation="0 0 -60" />
                <rotationNode index="0|0|0|2|0|0|0|0|0" rotation="0 0 -60" />
                <rotationNode index="0|0|0|2|0|0|0|1" rotation="-90 20 -40" />
                <rotationNode index="0|0|0|2|0|0|0|1|0" rotation="0 0 -40" />
            </ikChain>
        </ikChains>
    </characterNode>

    <aiTrafficCollisionTrigger index="0>15" />
    <dynamicMountAttacherTrigger triggerNode="0>26" rootNode="0>" jointNode="0>" />

    <motorStartDuration>2500</motorStartDuration>
    <attachSound file="$data/vehicles/shared/truck_attach.wav" pitchOffset="1" />
    <motorStartSound file="sounds/start.wav" pitchOffset="1" volume="1" />
    <motorSound file="sounds/motor.wav" pitchOffset="1" pitchScale="0.011" pitchMax="1.7" volume="1" radius="50" innerRadius="20" />
    <motorSoundRun file="$data/vehicles/steerable/ursus/ursus15014_run.wav" pitchOffset="0.75" pitchScale="0.012" pitchMax="1.6" volume="0.85" />
	<motorSoundRun2 file="$data/vehicles/shared/transmissionSmall.wav" pitchOffset="0.7" volume="0.1" pitchMax="1.65" volumeMax="1"/>
    <motorStopSound file="sounds/motorStop.wav" pitchOffset="1" volume="1.5" />
    <compressedAirSound file="$data/vehicles/shared/brakeBig.wav" pitchOffset="1" volume="1.25"/>
    <compressionSound file="$data/vehicles/shared/brakeBig.wav" pitchOffset="1" volume="1.5"/>
    <honkSound file="$data/vehicles/shared/hornBig.wav" volume="1" radius="70" innerRadius="10" />
    <pipeSound file="$data/vehicles/shared/hydraulicUp.wav" pitchOffset="1" />
    <reverseDriveSound file="$data/vehicles/shared/reverseDrivingBeep.wav" volume="0.5" />

    <driveGroundParticleSystems>
        <driveGroundParticleSystem node="0>" position="-0.906 0 -2.192" rotation="0 0 0" file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="3"/>
        <driveGroundParticleSystem node="0>" position="0.906 0 -2.192"  rotation="0 0 0" file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="4"/>
        <driveGroundParticleSystem node="0>" position="-1.074 0 1.437"  rotation="0 0 0" file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="1" />
        <driveGroundParticleSystem node="0>" position="1.074 0 1.437"   rotation="0 0 0" file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="2" />
        <driveGroundParticleSystem node="0>" position="-1.074 0 -3.857" rotation="0 0 0" file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="5" />
        <driveGroundParticleSystem node="0>" position="1.074 0 -3.857"  rotation="0 0 0" file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="6" />
    </driveGroundParticleSystems>

    <washable dirtDuration="90" washDuration="1" workMultiplier="4" />

    <components count="7">
        <component1 centerOfMass="0. 0.45 -0.2" solverIterationCount="10" /> <!-- main: 0-->
        <component2 solverIterationCount="15" /> <!-- claw: 1 -->
        <component3 solverIterationCount="15" /> <!-- claw: 2 -->
        <component4 solverIterationCount="15" /> <!-- claw: 3 -->
        <component5 centerOfMass="0 0 0" solverIterationCount="10" /> 
        <component6 centerOfMass="0 0 0" solverIterationCount="10" /> 
        <component7 centerOfMass="0 0 0" solverIterationCount="10" /> 

        <joint component1="0" component2="1" index="0>27|1|0|0|0|0|0|0" indexActor1="1>0|0" zRotationNode="0>27|1|0|0|0|0|0|0|0" rotLimit="0 50 10" rotMinLimit="0 -50 -220" transLimit="0 0 0" rotDriveVelocity="0 0 0" maxRotDriveForce="1 1 1" transLimitSpring="4 4 4" transLimitDamping="8 8 8" />
        <joint component1="1" component2="2" index="1>1" rotLimit="0 0 0" transLimit="0 0 0" rotLimitSpring="0 0 0.3" rotLimitDamping="0 0 0.5" />
        <joint component1="1" component2="3" index="1>2" rotLimit="0 0 0" transLimit="0 0 0" rotLimitSpring="0 0 0.3" rotLimitDamping="0 0 0.5" />
     <joint component1="0" component2="4" index="4>0" rotLimit="0 30 0" transLimit="0 0 0" />
     <joint component1="4" component2="5" index="5>0" rotLimit="0 0 0" transLimit="0 0 0" />
     <joint component1="4" component2="6" index="6>0" rotLimit="0 0 0" transLimit="0 0 0" />

        <collisionPair component1="2" component2="3" enabled="false" />
        <collisionPair component1="0" component2="2" enabled="false" />
        <collisionPair component1="0" component2="3" enabled="false" />
    </components>

    <schemaOverlay file="$dataS2/menu/schemas/vehicleSchema.png" fileSelected="$dataS2/menu/schemas/vehicleSchemaSelected.png" width="0.8" height="0.8" attacherJointPosition="0.5 0">
		<attacherJoint position="1 0" rotation="0" invertX="false" /> <!-- Back Attacher -->
		<attacherJoint position="0 0" rotation="0" invertX="true" /> <!-- Front Attacher -->
		<attacherJoint position="0 0" rotation="0" invertX="true" /> <!-- Front Low Attacher -->
    </schemaOverlay>

</vehicle>
