﻿<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="FlieglTMKForst">
    <annotation>Copyright (C) GIANTS Software GmbH / SpeedySC1978, All Rights Reserved.</annotation>
    <name>
        <en>Wod Pricep</en>
        <de>Wod pricep</de>
        <ru>Прицеп лесовоз</ru>
    </name>
    <typeDesc>$l10n_TypeDesc_Trailer</typeDesc>
    <filename>PRICEP.i3d</filename>

    <size width="3.5" length="10" lengthOffset="-0.5" />

    <wheels autoRotateBackSpeed="2.0">
        <wheel  restLoad="1.5" repr="0>0"                   radius="0.55" width="0.865" initialCompression="50" suspTravel="0.15" spring="35" damper="20" mass="0.177" />
        <wheel  restLoad="1.5" repr="0>1" driveNode="0>1|0" radius="0.55" width="0.865" initialCompression="50" suspTravel="0.15" spring="35" damper="20" mass="0.177" />
        <wheel  restLoad="1.5" repr="0>2"                   radius="0.55" width="0.865" initialCompression="50" suspTravel="0.15" spring="35" damper="20" mass="0.177" hasTyreTracks="true" tyreTrackAtlasIndex="2"/>
        <wheel  restLoad="1.5" repr="0>3"                   radius="0.55" width="0.865" initialCompression="50" suspTravel="0.15" spring="35" damper="20" mass="0.177" hasTyreTracks="true" tyreTrackAtlasIndex="2"/>
    </wheels>

    <dynamicallyLoadedParts>
        <dynamicallyLoadedPart node="0" linkNode="0>1|1|0" filename="$data/vehicles/shared/wheelChock01.i3d" />
        <dynamicallyLoadedPart node="0" linkNode="0>1|1|1" filename="$data/vehicles/shared/wheelChock01.i3d" />
        <dynamicallyLoadedPart node="0" linkNode="0>5|4|0" filename="$data/vehicles/shared/wheelChock01.i3d" />
        <dynamicallyLoadedPart node="0" linkNode="0>5|4|1" filename="$data/vehicles/shared/wheelChock01.i3d" />
    </dynamicallyLoadedParts>

    <brakeForce>1</brakeForce>
    <steeringAxleAngleScale startSpeed="5" endSpeed="70" />
	
    <!--cameras count="1">
        <camera1 index="0>5|8|0" rotatable="false" useWorldXZRotation="false" limit="true" rotMinX="-1.1" rotMaxX="1.1" transMin="0" transMax="0" />
    </cameras-->

    <lightCoronas>
        <lightCorona index="0>7" />
    </lightCoronas>

    <brakeLights>
        <brakeLight index="0>8" />
    </brakeLights>

    <turnSignals>
        <turnSignalLeft index="0>9|0" />
        <turnSignalRight index="0>9|1" />
    </turnSignals>

    <reverseLights>
        <reverseLight index="0>10" />
    </reverseLights>
	
	
    <dynamicMountAttacherTrigger triggerNode="0>12" rootNode="0>" jointNode="0>" />

    <cylinderedHydraulicSound file="$data/vehicles/shared/hydraulicUp.wav" pitchOffset="0.9" volume="1.0" />

    <inputAttacherJoints>
        <inputAttacherJoint index="0>5|1|0" jointType="trailer" attacherHeight="0.95" />
    </inputAttacherJoints>

    <!--attacherJoints>
        <attacherJoint index="0>4" jointType="trailer" maxRotLimit="10 80 80" minRotRotationOffset="0" allowsJointLimitMovement="false" />
    </attacherJoints-->
	
    <mouseControls> <!-- attacherBar -->
        <!--mouseControl iconFilename="$dataS2/menu/mouseControlsHelp/arm1_rotX.png" axis="AXIS_FRONTLOADER_ARM" /-->
    </mouseControls>

    <movingTools>
        <!--movingTool index="0>5|1" rotSpeed="10" rotAcceleration="80" rotMax="-1" rotMin="5" startRot="2.63" axis="AXIS_FRONTLOADER_ARM" invertAxis="true" mouseAxis="AXIS_FRONTLOADER_ARM" invertMouseAxis="false" speedFactor="-2" rotationAxis="1" >
        </movingTool-->
    </movingTools>

    <movingParts>
        <!--movingPart index="0>5|2" referencePoint="0>5|1|1" referenceFrame="0>5">
            <translatingPart index="0>5|2|0" />
        </movingPart-->
    </movingParts>
	
    <allowFillFromAir value="false" />
    <allowTipDischarge value="false" />

    <animations>
        <!-- move support wheel down/up -->
        <animation name="moveSupport">
            <part node="0>5|3" startTime="0" endTime="0.1" startTrans="-0.017 0.578 3.197" endTrans="-0.017 0.145 3.197" />
            <part node="0>1|1" startTime="0" endTime="0.05" visibility="false" />
            <part node="0>5|4" startTime="0" endTime="0.05" visibility="true" />
            <part node="0>1|1" startTime="0.05" endTime="0.1" visibility="true" />
            <part node="0>5|4" startTime="0.05" endTime="0.1" visibility="false" />
        </animation>
    </animations>

    <support animationName="moveSupport" />

    <washable dirtDuration="90" washDuration="1" workMultiplier="4" />

    <driveGroundParticleSystems>
        <driveGroundParticleSystem file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="1" />
        <driveGroundParticleSystem file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="2" />
        <driveGroundParticleSystem file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="3" />
        <driveGroundParticleSystem file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="4" />
    </driveGroundParticleSystems>

    <components count="4">
        <component1 centerOfMass="0 0 0" solverIterationCount="10" />
        <component2 centerOfMass="0 0 0" solverIterationCount="10" /> 
        <component3 centerOfMass="0 0 0" solverIterationCount="10" /> 
        <component4 centerOfMass="0 0 0" solverIterationCount="10" /> 
     <joint component1="0" component2="1" index="1>0" rotLimit="0 30 0" transLimit="0 0 0" />
     <joint component1="1" component2="2" index="2>0" rotLimit="0 0 0" transLimit="0 0 0" />
     <joint component1="1" component2="3" index="3>0" rotLimit="0 0 0" transLimit="0 0 0" />
          </components>

    <schemaOverlay file="$dataS2/menu/schemas/implementSchema.png" fileSelected="$dataS2/menu/schemas/implementSchemaSelected.png" width="0.7" height="0.7" attacherJointPosition="0 0">
        <attacherJoint position="0.5 0" rotation="0" invertX="false" />
    </schemaOverlay>

</vehicle>
